Subject: Re: FW: Error occured when appended FPGA image in the section of .init.text then bootup

From: "David H. Lynch Jr." <[email-masked]>
Date: Sat, 31 May 2008 13:07:53 -0400

Is there some reason this patch is not getting pushed into mainline ?

Alan Nishioka wrote:
> 朱利达 wrote:
>   
>>     The request below give rise to the problem.
>>     I have some boards equiped with MPC8247 and FPGA without storage
>>     media which used as a PCI interface. So when the linux bootup
>>     before initialize the PCI, the code of FPGA will download. I
>>     append the FPGA code file in the Kernel section '.init.text'. when
>>     linux bootup firstly it check the board type(different board type
>>     would download different code), and download fpga code. More board
>>     types lead to more FPGA code. I append them all in the section of
>>     '.init.text'. when the total size of the code reach out 2M. The
>>     error occured. I read the '__log_buf' the kernel access some bad
>>     area. As the powerpce603 will map 16M address use two bat, how and
>>     why the problem occured, and how to solved it .
>>
>>     
>
> Since the error occurs at 2M, I am going to guess it is similar to
> problem I had. The default link/load address for booting is 0x200000.
>
> Here is a link:
> <http://patchwork.ozlabs.org/linuxppc-embedded/patch?id=14717>
>
> This fix is for the arch/ppc tree. I don't know if the arch/powerpc tree
> works the same way.
>
> In the future, you should say what kernel version you are using and what
> the error was.
>
> Alan Nishioka
> [email-masked]
>
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein